{ stdenv, fetchurl, gtk2, libsndfile, pkgconfig, python3, wafHook }:

stdenv.mkDerivation rec {
  pname = "lv2";
  version = "1.16.0";

  src = fetchurl {
    url = "http://lv2plug.in/spec/${pname}-${version}.tar.bz2";
    sha256 = "1ppippbpdpv13ibs06b0bixnazwfhiw0d0ja6hx42jnkgdyp5hyy";
  };

  nativeBuildInputs = [ pkgconfig wafHook ];
  buildInputs = [ gtk2 libsndfile python3 ];

  meta = with stdenv.lib; {
    homepage = http://lv2plug.in;
    description = "A plugin standard for audio systems";
    license = licenses.mit;
    maintainers = [ maintainers.goibhniu ];
    platforms = platforms.linux;
  };
}
